window.addEventListener("DOMContentLoaded", (event) => {
  const faqitems = document.querySelectorAll(".accordion-item");
  const faqtext = document.querySelectorAll(".accordion-text");
  const sslitems = document.querySelectorAll(".ssl_items_table .item");
  const show_more = document.getElementById("show-more");
  const ssl_filters = document.querySelectorAll(".label_checkbox input");
  const count_elems = document.querySelectorAll(".count");
  const mobile_menu_button = document.getElementById("menu-button");
  const mobile_menu = document.getElementById("main-menu");
  const menu_line_1 = document.getElementById("menu-1");
  const menu_line_2 = document.getElementById("menu-2");
  const body = document.querySelector("body");
  const mobile_desc = document.querySelectorAll(".toggle-desc");


  menu_line_1.classList.remove("rotate-45");
  menu_line_2.classList.remove("-rotate-45");
  menu_line_2.classList.remove("mt-[-3px]");

  faqitems.forEach((faqitem) => {
    faqitem.addEventListener("click", (event) => {
    faqitem.children[0].nextElementSibling.classList.toggle("hidden");
    faqitem.children[0].children[0].classList.toggle("rotate-180");
    });
  });

  mobile_desc.forEach((button) => {
    button.addEventListener("click", (event) => {
      button.classList.toggle("rotate-180");
      var desc = button.parentElement.parentElement.nextElementSibling;
      console.log(desc);
      desc.classList.toggle("max-lg:hidden");
    });
  });

  sslitems.forEach((sslitem, index) => {
    if (index > 4) {
      sslitem.classList.add("hidden");
    }
  });

  mobile_menu_button.addEventListener("click", (event) => {
    mobile_menu.classList.toggle("max-lg:hidden");
    menu_line_1.classList.toggle("rotate-45");
    menu_line_1.classList.toggle("mb-[4px]");
    menu_line_2.classList.toggle("-rotate-45");
    menu_line_2.classList.toggle("mt-[-3px]");
    body.classList.toggle("blocked");
  });

  show_more.addEventListener("click", (event) => {
    sslitems.forEach((sslitem) => {
        sslitem.classList.remove("hidden");
        show_more.classList.add("hidden");
        ssl_filters.forEach((ssl_filter) => {
          ssl_filter.checked = false;
        });
        count_elems.forEach((count_elem) => {
          count_elem.innerHTML = '';
        });
    });
  });
});
